<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8">
  
    <title>Kafka movies scoring events 0.1.0 documentation</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
    <link href="css/global.min.css" rel="stylesheet">
    <link href="css/asyncapi.min.css" rel="stylesheet">
  
  </head>

  <body>
    <div id="root"><section class="aui-root"><div class="container:xl relative md:flex bg-white leading-normal"><div class="burger-menu rounded-full h-16 w-16 bg-white fixed bottom-16 right-8 flex items-center justify-center z-30 cursor-pointer shadow-md bg-teal-500" data-lol="false"><svg viewBox="0 0 100 70" width="40" height="30" class="fill-current text-gray-200"><rect width="100" height="10"></rect><rect y="30" width="100" height="10"></rect><rect y="60" width="100" height="10"></rect></svg></div><div class="hidden sidebar relative w-64 max-h-screen h-full bg-gray-200 shadow z-20"><div class=" block fixed max-h-screen h-full font-sans px-4 pt-8 pb-16 overflow-y-auto bg-gray-200"><div class="sidebar--content"><div><h1 class="text-2xl font-light">Kafka movies scoring events<!-- --> <!-- -->0.1.0</h1></div><ul class="text-sm mt-10 relative"><li class="mb-3"><a class="text-gray-700 no-underline hover:text-gray-900" href="#introduction">Introduction</a></li><li class="mb-3"><a class="text-gray-700 no-underline hover:text-gray-900" href="#servers">Servers</a></li><li class="mb-3 mt-9"><a class="text-xs uppercase text-gray-700 mt-10 mb-4 font-thin hover:text-gray-900" href="#operations">Operations</a><ul class="text-sm mt-2"><li><a class="flex no-underline text-gray-700 mb-2 hover:text-gray-900" href="#operation-subscribe-movie/event/added"><span class="bg-green-600 font-bold h-6 no-underline text-white uppercase p-1 mr-2 rounded text-xs" title="Subscribe">SUB</span><span class="break-all inline-block">movie/event/added</span></a></li><li><a class="flex no-underline text-gray-700 mb-2 hover:text-gray-900" href="#operation-publish-movie/action/{movieId}/evaluate"><span class="bg-blue-600 font-bold h-6 no-underline text-white uppercase p-1 mr-2 rounded text-xs" title="Publish">Pub</span><span class="break-all inline-block">movie/action/{movieId}/evaluate</span></a></li></ul></li><li class="mb-3 mt-9"><a class="text-xs uppercase text-gray-700 mt-10 mb-4 font-thin hover:text-gray-900" href="#messages">Messages</a><ul class="text-sm mt-2"><li><a class="flex break-words no-underline text-gray-700 mt-2 hover:text-gray-900" href="#message-movieAdded"><div class="break-all inline-block">movieAdded</div></a></li><li><a class="flex break-words no-underline text-gray-700 mt-2 hover:text-gray-900" href="#message-movieEvaluate"><div class="break-all inline-block">evaluate</div></a></li></ul></li><li class="mb-3 mt-9"><a class="text-xs uppercase text-gray-700 mt-10 mb-4 font-thin hover:text-gray-900" href="#schemas">Schemas</a><ul class="text-sm mt-2"><li><a class="flex break-words no-underline text-gray-700 mt-2 hover:text-gray-900" href="#schema-movieAddedPayload"><div class="break-all inline-block">movieAddedPayload</div></a></li><li><a class="flex break-words no-underline text-gray-700 mt-2 hover:text-gray-900" href="#schema-evaluatePayload"><div class="break-all inline-block">evaluatePayload</div></a></li></ul></li></ul></div></div></div><div class="panel--center relative py-8 flex-1"><div class="relative z-10"><div class="panel-item"><div class="panel-item--center px-8 text-left" id="introduction"><div class="text-4xl">Kafka movies scoring events<!-- --> <!-- -->0.1.0</div><div class="mt-4"><div class="prose max-w-none text-sm"><ul>
<li>Events capture every updates of movies scoring collection and this document describe the data that is available</li>
<li>External Tutorial: <a href="https://blog.ippon.fr/2021/04/09/asyncapi-comment-standardiser-les-api-asynchrones">How to Write Your First AsyncAPI Specification - Thomas Bush</a> </li>
<li>version: 0.1.0
<img alt="Kafka architecture diagram" src="/docs/asyncapi-kafka/apache-kafka-architecture.png">
<img alt="RabbitMQ architecture diagram" src="/docs/asyncapi-kafka/rabbitmq-architecture.png"></li>
</ul>
</div></div></div><div class="panel-item--right"></div></div><section id="servers" class="mt-16"><h2 class="2xl:w-7/12 text-3xl font-light mb-4 px-8">Servers</h2><ul><li class="mb-4" id="server-production"><div class="panel-item"><div class="panel-item--center px-8"><div class="shadow rounded bg-gray-200 p-4 border bg-gray-100"><div><span class="font-mono text-base">broker.moviescoring.com:8092</span><span class="bg-teal-500 font-bold no-underline text-white uppercase rounded mx-2 px-2 py-1 text-sm">mqtt</span><span class="bg-blue-500 font-bold no-underline text-white uppercase rounded px-2 py-1 text-sm">production</span></div><div class="mt-2"><div class="prose max-w-none text-sm"><p>Kafka broker</p>
</div></div><div id="server-production-security"></div></div></div><div class="panel-item--right"></div></div></li><li class="mb-4" id="server-development"><div class="panel-item"><div class="panel-item--center px-8"><div class="shadow rounded bg-gray-200 p-4 border bg-gray-100"><div><span class="font-mono text-base">localhost:3400</span><span class="bg-teal-500 font-bold no-underline text-white uppercase rounded mx-2 px-2 py-1 text-sm">mqtt</span><span class="bg-blue-500 font-bold no-underline text-white uppercase rounded px-2 py-1 text-sm">development</span></div><div class="mt-2"><div class="prose max-w-none text-sm"><p>Kafka broker</p>
</div></div><div id="server-development-security"></div></div></div><div class="panel-item--right"></div></div></li></ul></section><section id="operations" class="mt-16"><h2 class="2xl:w-7/12 text-3xl font-light mb-4 px-8">Operations</h2><ul><li class="mb-12" id="operation-subscribe-movie/event/added"><div><div class="panel-item--center px-8"><div class="mb-4"><h3><span class="font-mono border uppercase p-1 rounded mr-2 border-green-600 text-green-600" title="subscribe">SUB</span> <span class="font-mono text-base">movie/event/added</span></h3></div><p class="text-gray-600 text-sm mt-2">Inform about new movie added to the referential</p></div><div class="w-full mt-4" id="operation-subscribe-movie/event/added-message"><div class="mt-2"><p class="px-8">Accepts the following message:</p><div class="mt-2"><div class="panel-item"><div class="panel-item--center px-8"><div class="shadow rounded bg-gray-200 p-4 border"><div><span class="border text-orange-600 rounded text-xs py-0 px-2">movieAdded</span></div><ul class="leading-normal mt-2 mb-4 space-x-2 space-y-2"><li class="inline-block"><a href="https://www.iana.org/assignments/media-types/application/json" class="border border-solid border-orange-300 hover:bg-orange-300 hover:text-orange-600 text-orange-500 font-bold no-underline text-xs uppercase rounded px-3 py-1" target="_blank" rel="nofollow noopener noreferrer"><span>application/json</span></a></li></ul><div class="mt-2"><div><div class="flex py-2"><div class="min-w-1/4 mr-2"><button class="focus:outline-none undefined"><span class="break-words text-sm ">Payload</span><svg version="1.1" viewBox="0 0 24 24" x="0" xmlns="http://www.w3.org/2000/svg" y="0" class="inline-block align-baseline cursor-pointer -mb-1 w-5 transform transition-transform duration-150 ease-linear -rotate-90"><polygon points="17.3 8.3 12 13.6 6.7 8.3 5.3 9.7 12 16.4 18.7 9.7 "></polygon></svg></button></div><div><div><div class="capitalize text-sm text-teal-500 font-bold inline-block mr-2">object</div><div class="inline-block"><span class="border text-orange-600 rounded mr-2 p-1 text-xs">uid: <!-- -->movieAddedPayload</span></div></div></div></div><div class="rounded p-4 py-2 border bg-gray-100  hidden"><div><div class="flex py-2"><div class="min-w-1/4 mr-2"><span class="break-words text-sm italic">id</span></div><div><div><div class="capitalize text-sm text-teal-500 font-bold inline-block mr-2">integer</div><div class="inline-block"><span class="bg-purple-600 font-bold no-underline text-white rounded lowercase mr-2 p-1 text-xs">&gt;= 0</span></div><div><div class="prose max-w-none text-sm"><p>Id of the movie.</p>
</div></div></div></div></div></div><div><div class="flex py-2"><div class="min-w-1/4 mr-2"><span class="break-words text-sm italic">name</span></div><div><div><div class="capitalize text-sm text-teal-500 font-bold inline-block mr-2">string</div><div class="inline-block"></div></div></div></div></div><p class="mt-2 text-xs text-gray-700">Additional properties are allowed.</p></div></div></div></div></div><div class="panel-item--right px-8"><div class="bg-gray-800 px-8 py-4 mt-4 -mx-8 2xl:mx-0 2xl:px-4 2xl:rounded examples"><h4 class="text-white text-lg">Examples</h4><div class="mt-4"><div><button class="focus:outline-none undefined"><span class="px-2 py-1 mr-2 text-gray-200 text-sm border rounded focus:outline-none">Payload</span><svg version="1.1" viewBox="0 0 24 24" x="0" xmlns="http://www.w3.org/2000/svg" y="0" class="inline-block align-baseline cursor-pointer -mb-1 w-5 transform transition-transform duration-150 ease-linear fill-current text-gray-200 -rotate-90"><polygon points="17.3 8.3 12 13.6 6.7 8.3 5.3 9.7 12 16.4 18.7 9.7 "></polygon></svg></button></div><div class="hidden"><div class="mt-4"><div class="prose max-w-none text-sm"><pre><code class="hljs language-json">{
  <span class="hljs-attr">"id"</span>: <span class="hljs-number">0</span>,
  <span class="hljs-attr">"name"</span>: <span class="hljs-string">"string"</span>
}
</code></pre>
</div><h6 class="text-xs font-bold text-gray-600 italic mt-2">This example has been generated automatically.</h6></div></div></div></div></div></div></div></div></div></div></li><li class="mb-12" id="operation-publish-movie/action/{movieId}/evaluate"><div><div class="panel-item--center px-8"><div class="mb-4"><h3><span class="font-mono border uppercase p-1 rounded mr-2 border-blue-600 text-blue-500" title="publish">PUB</span> <span class="font-mono text-base">movie/action/{movieId}/evaluate</span></h3></div><p class="text-gray-600 text-sm mt-2">Evaluate a particular movie</p><div class="mt-2" id="operation-publish-movie/action/{movieId}/evaluate-parameters"><div><div class="flex py-2"><div class="min-w-1/4 mr-2"><button class="focus:outline-none undefined"><span class="break-words text-sm ">Parameters</span><svg version="1.1" viewBox="0 0 24 24" x="0" xmlns="http://www.w3.org/2000/svg" y="0" class="inline-block align-baseline cursor-pointer -mb-1 w-5 transform transition-transform duration-150 ease-linear -rotate-180"><polygon points="17.3 8.3 12 13.6 6.7 8.3 5.3 9.7 12 16.4 18.7 9.7 "></polygon></svg></button></div><div><div><div class="inline-block"></div></div></div></div><div class="rounded p-4 py-2 border bg-gray-100  block"><div><div class="flex py-2"><div class="min-w-1/4 mr-2"><span class="break-words text-sm italic">movieId</span><div class="text-red-600 text-xs">required</div></div><div><div><div class="capitalize text-sm text-teal-500 font-bold inline-block mr-2">integer</div><div class="inline-block"><span class="bg-purple-600 font-bold no-underline text-white rounded lowercase mr-2 p-1 text-xs">&gt;= 0</span><span class="border text-orange-600 rounded mr-2 p-1 text-xs">uid: <!-- -->movieId</span></div><div><div class="prose max-w-none text-sm"><p>Id of the movie.</p>
</div></div></div></div></div></div></div></div></div></div><div class="w-full mt-4" id="operation-publish-movie/action/{movieId}/evaluate-message"><div class="mt-2"><p class="px-8">Accepts the following message:</p><div class="mt-2"><div class="panel-item"><div class="panel-item--center px-8"><div class="shadow rounded bg-gray-200 p-4 border"><div><span class="border text-orange-600 rounded text-xs py-0 px-2">evaluate</span></div><ul class="leading-normal mt-2 mb-4 space-x-2 space-y-2"><li class="inline-block"><a href="https://www.iana.org/assignments/media-types/application/json" class="border border-solid border-orange-300 hover:bg-orange-300 hover:text-orange-600 text-orange-500 font-bold no-underline text-xs uppercase rounded px-3 py-1" target="_blank" rel="nofollow noopener noreferrer"><span>application/json</span></a></li></ul><div class="mt-2"><div><div class="flex py-2"><div class="min-w-1/4 mr-2"><button class="focus:outline-none undefined"><span class="break-words text-sm ">Payload</span><svg version="1.1" viewBox="0 0 24 24" x="0" xmlns="http://www.w3.org/2000/svg" y="0" class="inline-block align-baseline cursor-pointer -mb-1 w-5 transform transition-transform duration-150 ease-linear -rotate-90"><polygon points="17.3 8.3 12 13.6 6.7 8.3 5.3 9.7 12 16.4 18.7 9.7 "></polygon></svg></button></div><div><div><div class="capitalize text-sm text-teal-500 font-bold inline-block mr-2">object</div><div class="inline-block"><span class="border text-orange-600 rounded mr-2 p-1 text-xs">uid: <!-- -->evaluatePayload</span></div></div></div></div><div class="rounded p-4 py-2 border bg-gray-100  hidden"><div><div class="flex py-2"><div class="min-w-1/4 mr-2"><span class="break-words text-sm italic">score</span></div><div><div><div class="capitalize text-sm text-teal-500 font-bold inline-block mr-2">integer</div><div class="inline-block"><span class="bg-purple-600 font-bold no-underline text-white rounded lowercase mr-2 p-1 text-xs">[ 0 .. 5 ]</span></div><div><div class="prose max-w-none text-sm"><p>Score of the movie.</p>
</div></div></div></div></div></div><p class="mt-2 text-xs text-gray-700">Additional properties are allowed.</p></div></div></div></div></div><div class="panel-item--right px-8"><div class="bg-gray-800 px-8 py-4 mt-4 -mx-8 2xl:mx-0 2xl:px-4 2xl:rounded examples"><h4 class="text-white text-lg">Examples</h4><div class="mt-4"><div><button class="focus:outline-none undefined"><span class="px-2 py-1 mr-2 text-gray-200 text-sm border rounded focus:outline-none">Payload</span><svg version="1.1" viewBox="0 0 24 24" x="0" xmlns="http://www.w3.org/2000/svg" y="0" class="inline-block align-baseline cursor-pointer -mb-1 w-5 transform transition-transform duration-150 ease-linear fill-current text-gray-200 -rotate-90"><polygon points="17.3 8.3 12 13.6 6.7 8.3 5.3 9.7 12 16.4 18.7 9.7 "></polygon></svg></button></div><div class="hidden"><div class="mt-4"><div class="prose max-w-none text-sm"><pre><code class="hljs language-json">{
  <span class="hljs-attr">"score"</span>: <span class="hljs-number">5</span>
}
</code></pre>
</div><h6 class="text-xs font-bold text-gray-600 italic mt-2">This example has been generated automatically.</h6></div></div></div></div></div></div></div></div></div></div></li></ul></section><section id="messages" class="mt-16"><h2 class="2xl:w-7/12 text-3xl font-light mb-4 px-8">Messages</h2><ul><li class="mb-4" id="message-movieAdded"><div class="panel-item"><div class="panel-item--center px-8"><div class="shadow rounded bg-gray-200 p-4 border"><div><span class="text-gray-700 font-bold mr-2">#<!-- -->1</span><span class="border text-orange-600 rounded text-xs py-0 px-2">movieAdded</span></div><ul class="leading-normal mt-2 mb-4 space-x-2 space-y-2"><li class="inline-block"><a href="https://www.iana.org/assignments/media-types/application/json" class="border border-solid border-orange-300 hover:bg-orange-300 hover:text-orange-600 text-orange-500 font-bold no-underline text-xs uppercase rounded px-3 py-1" target="_blank" rel="nofollow noopener noreferrer"><span>application/json</span></a></li></ul><div class="mt-2" id="message-movieAdded-payload"><div><div class="flex py-2"><div class="min-w-1/4 mr-2"><button class="focus:outline-none undefined"><span class="break-words text-sm ">Payload</span><svg version="1.1" viewBox="0 0 24 24" x="0" xmlns="http://www.w3.org/2000/svg" y="0" class="inline-block align-baseline cursor-pointer -mb-1 w-5 transform transition-transform duration-150 ease-linear -rotate-90"><polygon points="17.3 8.3 12 13.6 6.7 8.3 5.3 9.7 12 16.4 18.7 9.7 "></polygon></svg></button></div><div><div><div class="capitalize text-sm text-teal-500 font-bold inline-block mr-2">object</div><div class="inline-block"><span class="border text-orange-600 rounded mr-2 p-1 text-xs">uid: <!-- -->movieAddedPayload</span></div></div></div></div><div class="rounded p-4 py-2 border bg-gray-100  hidden"><div><div class="flex py-2"><div class="min-w-1/4 mr-2"><span class="break-words text-sm italic">id</span></div><div><div><div class="capitalize text-sm text-teal-500 font-bold inline-block mr-2">integer</div><div class="inline-block"><span class="bg-purple-600 font-bold no-underline text-white rounded lowercase mr-2 p-1 text-xs">&gt;= 0</span></div><div><div class="prose max-w-none text-sm"><p>Id of the movie.</p>
</div></div></div></div></div></div><div><div class="flex py-2"><div class="min-w-1/4 mr-2"><span class="break-words text-sm italic">name</span></div><div><div><div class="capitalize text-sm text-teal-500 font-bold inline-block mr-2">string</div><div class="inline-block"></div></div></div></div></div><p class="mt-2 text-xs text-gray-700">Additional properties are allowed.</p></div></div></div></div></div></div></li><li class="mb-4" id="message-movieEvaluate"><div class="panel-item"><div class="panel-item--center px-8"><div class="shadow rounded bg-gray-200 p-4 border"><div><span class="text-gray-700 font-bold mr-2">#<!-- -->2</span><span class="border text-orange-600 rounded text-xs py-0 px-2">evaluate</span></div><ul class="leading-normal mt-2 mb-4 space-x-2 space-y-2"><li class="inline-block"><a href="https://www.iana.org/assignments/media-types/application/json" class="border border-solid border-orange-300 hover:bg-orange-300 hover:text-orange-600 text-orange-500 font-bold no-underline text-xs uppercase rounded px-3 py-1" target="_blank" rel="nofollow noopener noreferrer"><span>application/json</span></a></li></ul><div class="mt-2" id="message-movieEvaluate-payload"><div><div class="flex py-2"><div class="min-w-1/4 mr-2"><button class="focus:outline-none undefined"><span class="break-words text-sm ">Payload</span><svg version="1.1" viewBox="0 0 24 24" x="0" xmlns="http://www.w3.org/2000/svg" y="0" class="inline-block align-baseline cursor-pointer -mb-1 w-5 transform transition-transform duration-150 ease-linear -rotate-90"><polygon points="17.3 8.3 12 13.6 6.7 8.3 5.3 9.7 12 16.4 18.7 9.7 "></polygon></svg></button></div><div><div><div class="capitalize text-sm text-teal-500 font-bold inline-block mr-2">object</div><div class="inline-block"><span class="border text-orange-600 rounded mr-2 p-1 text-xs">uid: <!-- -->evaluatePayload</span></div></div></div></div><div class="rounded p-4 py-2 border bg-gray-100  hidden"><div><div class="flex py-2"><div class="min-w-1/4 mr-2"><span class="break-words text-sm italic">score</span></div><div><div><div class="capitalize text-sm text-teal-500 font-bold inline-block mr-2">integer</div><div class="inline-block"><span class="bg-purple-600 font-bold no-underline text-white rounded lowercase mr-2 p-1 text-xs">[ 0 .. 5 ]</span></div><div><div class="prose max-w-none text-sm"><p>Score of the movie.</p>
</div></div></div></div></div></div><p class="mt-2 text-xs text-gray-700">Additional properties are allowed.</p></div></div></div></div></div></div></li></ul></section><section id="schemas" class="mt-16"><h2 class="2xl:w-7/12 text-3xl font-light mb-4 px-8">Schemas</h2><ul><li class="mb-4" id="schema-movieAddedPayload"><div><div class="panel-item--center px-8"><div class="shadow rounded px-4 py-2 border bg-gray-200"><div><div class="flex py-2"><div class="min-w-1/4 mr-2"><button class="focus:outline-none undefined"><span class="break-words text-sm ">movieAddedPayload</span><svg version="1.1" viewBox="0 0 24 24" x="0" xmlns="http://www.w3.org/2000/svg" y="0" class="inline-block align-baseline cursor-pointer -mb-1 w-5 transform transition-transform duration-150 ease-linear -rotate-90"><polygon points="17.3 8.3 12 13.6 6.7 8.3 5.3 9.7 12 16.4 18.7 9.7 "></polygon></svg></button></div><div><div><div class="capitalize text-sm text-teal-500 font-bold inline-block mr-2">object</div><div class="inline-block"><span class="border text-orange-600 rounded mr-2 p-1 text-xs">uid: <!-- -->movieAddedPayload</span></div></div></div></div><div class="rounded p-4 py-2 border bg-gray-100  hidden"><div><div class="flex py-2"><div class="min-w-1/4 mr-2"><span class="break-words text-sm italic">id</span></div><div><div><div class="capitalize text-sm text-teal-500 font-bold inline-block mr-2">integer</div><div class="inline-block"><span class="bg-purple-600 font-bold no-underline text-white rounded lowercase mr-2 p-1 text-xs">&gt;= 0</span></div><div><div class="prose max-w-none text-sm"><p>Id of the movie.</p>
</div></div></div></div></div></div><div><div class="flex py-2"><div class="min-w-1/4 mr-2"><span class="break-words text-sm italic">name</span></div><div><div><div class="capitalize text-sm text-teal-500 font-bold inline-block mr-2">string</div><div class="inline-block"></div></div></div></div></div><p class="mt-2 text-xs text-gray-700">Additional properties are allowed.</p></div></div></div></div><div class="w-full mt-4"></div></div></li><li class="mb-4" id="schema-evaluatePayload"><div><div class="panel-item--center px-8"><div class="shadow rounded px-4 py-2 border bg-gray-200"><div><div class="flex py-2"><div class="min-w-1/4 mr-2"><button class="focus:outline-none undefined"><span class="break-words text-sm ">evaluatePayload</span><svg version="1.1" viewBox="0 0 24 24" x="0" xmlns="http://www.w3.org/2000/svg" y="0" class="inline-block align-baseline cursor-pointer -mb-1 w-5 transform transition-transform duration-150 ease-linear -rotate-90"><polygon points="17.3 8.3 12 13.6 6.7 8.3 5.3 9.7 12 16.4 18.7 9.7 "></polygon></svg></button></div><div><div><div class="capitalize text-sm text-teal-500 font-bold inline-block mr-2">object</div><div class="inline-block"><span class="border text-orange-600 rounded mr-2 p-1 text-xs">uid: <!-- -->evaluatePayload</span></div></div></div></div><div class="rounded p-4 py-2 border bg-gray-100  hidden"><div><div class="flex py-2"><div class="min-w-1/4 mr-2"><span class="break-words text-sm italic">score</span></div><div><div><div class="capitalize text-sm text-teal-500 font-bold inline-block mr-2">integer</div><div class="inline-block"><span class="bg-purple-600 font-bold no-underline text-white rounded lowercase mr-2 p-1 text-xs">[ 0 .. 5 ]</span></div><div><div class="prose max-w-none text-sm"><p>Score of the movie.</p>
</div></div></div></div></div></div><p class="mt-2 text-xs text-gray-700">Additional properties are allowed.</p></div></div></div></div><div class="w-full mt-4"></div></div></li></ul></section></div><div class="panel--right absolute top-0 right-0 h-full bg-gray-800"></div></div></div></section></div>

  
    <script src="js/asyncapi-ui.min.js" type="application/javascript"></script>
  

    <script>
      var schema = {"asyncapi":"2.1.0","info":{"title":"Kafka movies scoring events","version":"0.1.0","description":"* Events capture every updates of movies scoring collection and this document describe the data that is available\n* External Tutorial: [How to Write Your First AsyncAPI Specification - Thomas Bush](https://blog.ippon.fr/2021/04/09/asyncapi-comment-standardiser-les-api-asynchrones) \n* version: 0.1.0\n![Kafka architecture diagram](/docs/asyncapi-kafka/apache-kafka-architecture.png)\n![RabbitMQ architecture diagram](/docs/asyncapi-kafka/rabbitmq-architecture.png)"},"servers":{"production":{"url":"broker.moviescoring.com:8092","protocol":"mqtt","description":"Kafka broker"},"development":{"url":"localhost:3400","protocol":"mqtt","description":"Kafka broker"}},"channels":{"movie/event/added":{"subscribe":{"summary":"Inform about new movie added to the referential","message":{"name":"movieAdded","contentType":"application/json","payload":{"type":"object","properties":{"id":{"type":"integer","minimum":0,"description":"Id of the movie.","x-parser-schema-id":"<anonymous-schema-1>"},"name":{"type":"string","x-parser-schema-id":"<anonymous-schema-2>"}},"x-parser-schema-id":"movieAddedPayload"},"x-parser-original-schema-format":"application/vnd.aai.asyncapi;version=2.1.0","x-parser-original-payload":{"type":"object","properties":{"id":{"type":"integer","minimum":0,"description":"Id of the movie."},"name":{"type":"string"}}},"schemaFormat":"application/vnd.aai.asyncapi;version=2.1.0","x-parser-message-parsed":true}}},"movie/action/{movieId}/evaluate":{"parameters":{"movieId":{"description":"Id of the movie.","schema":{"type":"integer","minimum":0,"description":"Id of the movie.","x-parser-schema-id":"movieId"}}},"publish":{"summary":"Evaluate a particular movie","message":{"name":"evaluate","contentType":"application/json","payload":{"type":"object","properties":{"score":{"type":"integer","minimum":0,"maximum":5,"description":"Score of the movie.","x-parser-schema-id":"<anonymous-schema-3>"}},"x-parser-schema-id":"evaluatePayload"},"x-parser-original-schema-format":"application/vnd.aai.asyncapi;version=2.1.0","x-parser-original-payload":{"type":"object","properties":{"score":{"type":"integer","minimum":0,"maximum":5,"description":"Score of the movie."}}},"schemaFormat":"application/vnd.aai.asyncapi;version=2.1.0","x-parser-message-parsed":true}}}},"components":{"messages":{"movieAdded":"$ref:$.channels.movie/event/added.subscribe.message","movieEvaluate":"$ref:$.channels.movie/action/{movieId}/evaluate.publish.message"},"parameters":{"movieId":"$ref:$.channels.movie/action/{movieId}/evaluate.parameters.movieId"},"schemas":{"movieAddedPayload":"$ref:$.channels.movie/event/added.subscribe.message.payload","evaluatePayload":"$ref:$.channels.movie/action/{movieId}/evaluate.publish.message.payload"}},"x-parser-spec-parsed":true,"x-parser-spec-stringified":true};
      var config = {"show":{"sidebar":true},"sidebar":{"showOperations":"byDefault"}};
      AsyncApiStandalone.hydrate({ schema, config }, document.getElementById("root"));
    </script>
  </body>
</html>